﻿Type=Activity
Version=6
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Private btnCancelar As Button
	
	Dim SV As ScrollView
	Dim Header As Panel
	Dim Table As Panel
	Dim col1w, col2w, col3w As Int
	Dim NumberOfColumns, RowHeight, ColumnWidth, cw As Int
	Dim HeaderColor, TableColor, FontColor, HeaderFontColor As Int
	Dim FontSize As Float
	Type RowCol (Row As Int, col As Int)
	Dim Alignment As Int
	Dim SelectedRow As Int
	Dim SelectedRowColor As Int
	
	'Table settings
	HeaderColor = Colors.Gray
	NumberOfColumns = 3
	RowHeight = 35dip
	TableColor = Colors.White
	FontColor = Colors.Black
	HeaderFontColor = Colors.White
	FontSize = 14
	Alignment = Gravity.Left 'change to Gravity.LEFT or Gravity.RIGHT for other alignments.
	SelectedRowColor = Colors.Blue

	

End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	
	Activity.LoadLayout("form1")


	SV.Initialize(0)
	Table = SV.Panel
	Table.Color = TableColor
	

	Activity.AddView(SV, 0%x, 50%y, 100%x, 85%y)
	'TabHost1.AddTab("tab 1", "tab1")


	col1w = SV.Width / 100 * 10
	col2w = SV.Width / 100 * 76
	col3w = SV.Width / 100 * 15
	SelectedRow = -1
	'add header
	SetHeader(Array As String("ID", "Descrição", "Alteração"))
	'add rows
'	For i = 1 To 100
'		AddRow(Array As String(i, "Some text", i * 2, "abc", "" ))
'	Next
	'set the value of a specific cell
'	SetCell(0, 3, "New value")
	'get the value 
'	Log("Cell (1, 2) value = " & GetCell(1, 2))

	'parser.Initialize

'	If FirstTime Then
'        SQL1.Initialize(File.DirDefaultExternal, "test1.db", True)
'    End If
	

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub abre_pressao
'	StartActivity("pressao")	
Log("i was called from activity main")	
End Sub

Sub Cell_Click
	Dim rc As RowCol
	Dim l As Label
	l = Sender
	rc = l.Tag
	SelectRow(rc.Row)
	Activity.Title = "Cell clicked: (" & rc.Row & ", " & rc.Col & ")"
End Sub

Sub cell_LongClick
	Dim rc As RowCol
	Dim l As Label
	l = Sender
	rc = l.Tag
	SelectRow(rc.Row)
	
	
	Dim id_tarefa As Int
	id_tarefa = GetView(SelectedRow, 0).Text
'	Timer1.Enabled = False
'	CallSubDelayed2(navegador, "abre_activity", id_tarefa)
'	StartActivity(navegador)
End Sub

Sub Header_Click
	Dim l As Label
	Dim col As Int
	l = Sender
	col = l.Tag
	Activity.Title = "Header clicked: " & col
End Sub
Sub SelectRow(Row As Int)
	
	'remove the color of previously selected row
	If SelectedRow > -1 Then
'		get_tarefa(1, GetView(SelectedRow, 0).Text)
		For col = 0 To NumberOfColumns - 1
'			If tarefa.priority = 5 Then
''				GetView(SelectedRow, col).Color = Colors.Red
''			Else if tarefa.priority = 4 Then
''				GetView(SelectedRow, col).Color = 0xFFF39D0F
''			Else if tarefa.priority = 3 Then
''				GetView(SelectedRow, col).Color = Colors.Yellow
''			Else
''				GetView(SelectedRow, col).Color = Colors.Transparent
''			End If
		Next
	End If
	SelectedRow = Row
	For col = 0 To NumberOfColumns - 1
		GetView(Row, col).Color = SelectedRowColor
	Next
End Sub
Sub GetView(Row As Int, Col As Int) As Label
	Dim l As Label
	l = Table.GetView(Row * NumberOfColumns + Col)
	Return l
End Sub
Sub AddRow(Values() As String, priority As Int)
	If Values.Length <> NumberOfColumns Then
		Log("Wrong number of values.")
		Return
	End If
	Dim lastRow As Int
	lastRow = NumberOfRows
	For i = 0 To NumberOfColumns - 1
		Dim l As Label
		l.Initialize("cell")
		l.Text = Values(i)
		l.Gravity = Alignment
		l.TextSize = FontSize
		l.TextColor = FontColor
		If priority = 5 Then
			l.Color = Colors.Red
		else If priority = 4 Then
			l.Color = 0xFFF39D0F
		Else if priority = 3 Then
			l.Color = Colors.Yellow
		Else
			l.Color = Colors.White
		End If
		Dim rc As RowCol
		rc.Initialize
		rc.Col = i
		rc.Row = lastRow
		l.Tag = rc
		If i = 0 Then
			ColumnWidth = col1w
			cw = 0
		else If i = 1 Then
			ColumnWidth = col2w
			cw = 0 + col1w
		Else
			ColumnWidth = col3w
			cw = 0 + col1w + col2w
		End If
		Table.AddView(l, cw, RowHeight * lastRow, ColumnWidth, RowHeight)
	Next
	Table.Height = NumberOfRows * RowHeight
End Sub
Sub SetHeader(Values() As String)
	If Header.IsInitialized Then Return 'should only be called once
	Header.Initialize("")
	For i = 0 To NumberOfColumns - 1
		Dim l As Label
		l.Initialize("header")
		l.Text = Values(i)
		l.Gravity = Gravity.LEFT
		l.TextSize = FontSize
		l.Color = HeaderColor
		l.TextColor = HeaderFontColor
		l.Tag = i
		If i = 0 Then
			ColumnWidth = col1w
			cw = 0
		else If i = 1 Then
			ColumnWidth = col2w
			cw = 0 + col1w
		Else
			ColumnWidth = col3w
			cw = 0 + col1w + col2w
		End If
		Header.AddView(l, cw, 0, ColumnWidth, RowHeight)
	Next
	Activity.AddView(Header, SV.Left, SV.Top - RowHeight, SV.Width, RowHeight)
End Sub
Sub NumberOfRows As Int
	Return Table.NumberOfViews / NumberOfColumns
End Sub

Sub SetCell(Row As Int, Col As Int, Value As String)
	GetView(Row, Col).Text = Value
End Sub
Sub GetCell(Row As Int, Col As Int) As String
	Return GetView(Row, Col).Text
End Sub
Sub ClearAll
	For i = Table.NumberOfViews -1 To 0 Step -1
		Table.RemoveViewAt(i)
	Next
	Table.Height = 0
	SelectedRow = -1
End Sub

Sub btnCancelar_Click
	Activity.Finish
End Sub

